对不起,我没有时间提前完成。。。
- (defun c:CF (/ e1 e2)
- (vl-load-com)
- (while (and (setq e1 (entsel "\nSelect curve: "))
- (or (vl-position (cdr (assoc 0 (entget (car e1)))) '("ARC" "LINE" "LWPOLYLINE"))
- (alert "Invalid object!")
- ) ;_ or
- (setq e2 (entsel "\nSelect other curve: "))
- (or (vl-position (cdr (assoc 0 (entget (car e2)))) '("ARC" "LINE" "LWPOLYLINE"))
- (alert "Invalid object!")
- ) ;_ or
- (vl-cmdf "_.fillet" e1 e2)
- (if (zerop (getvar 'peditaccept))
- (vl-cmdf "_.pedit" "_m" (ssadd (car e1) (ssadd (car e2))) "" "_y" "_j" "" "")
- (vl-cmdf "_.pedit" "_m" (ssadd (car e1) (ssadd (car e2))) "" "_j" "" "")
- ) ;_ if
- ) ;_ and
- ) ;_ while
- (princ)
- ) ;_ defun
|